org.jgrapht.generate

## Interface GraphGenerator<V,E,T>

- All Known Implementing Classes:
    CompleteBipartiteGraphGenerator, CompleteGraphGenerator, EmptyGraphGenerator, GraphReader, GridGraphGenerator, HyperCubeGraphGenerator, LinearGraphGenerator, PartiteRandomGraphGenerator, RandomGraphGenerator, RingGraphGenerator, ScaleFreeGraphGenerator, SimpleWeightedBipartiteGraphMatrixGenerator, SimpleWeightedGraphMatrixGenerator, StarGraphGenerator, UniformRandomGraphGenerator, WeightedGraphGenerator, WeightedGraphGeneratorAdapter, WheelGraphGenerator

      public interface GraphGenerator<V,E,T>

  GraphGenerator defines an interface for generating new graph structures.
  Since:
    Sep 16, 2003
  Author:
    John V. Sichi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGraph(Graph<V,E> target, VertexFactory<V> vertexFactory, Map<String,T> resultMap)` Generate a graph structure.

- - ### Method Detail

    - #### generateGraph

          void generateGraph(Graph<V,E> target,
                           VertexFactory<V> vertexFactory,
                           Map<String,T> resultMap)

      Generate a graph structure. The topology of the generated graph is dependent on the implementation. For graphs in which not all vertices share the same automorphism equivalence class, the generator may produce a labeling indicating the roles played by generated elements. This is the purpose of the resultMap parameter. For example, a generator for a wheel graph would designate a hub vertex. Role names used as keys in resultMap should be declared as public static final Strings by implementation classes.
      Parameters:
        `target` - receives the generated edges and vertices; if this is non-empty on entry, the result will be a disconnected graph since generated elements will not be connected to existing elements
        `vertexFactory` - called to produce new vertices
        `resultMap` - if non-null, receives implementation-specific mappings from String roles to graph elements (or collections of graph elements)

Copyright © 2016. All rights reserved.